Subject: Re: [PATCH 0/3] net: unexport some symbols that are annotated __init

From: [email-masked]
Date: Wed, 08 Jun 2022 17:20:13 +0000

Hello:

This series was applied to netdev/net.git (master)
by Jakub Kicinski <[email-masked]>:

On Mon,  6 Jun 2022 13:53:52 +0900 you wrote:
> This patch set fixes odd combinations
> of EXPORT_SYMBOL and __init.
> 
> Checking this in modpost is a good thing and I really wanted to do it,
> but Linus Torvalds imposes a very strict rule, "No new warning".
> 
> I'd like the maintainer to kindly pick this up and send a fixes pull request.
> 
> [...]

Here is the summary with links:
  - [1/3] net: mdio: unexport __init-annotated mdio_bus_init()
    https://git.kernel.org/netdev/net/c/35b42dce6197
  - [2/3] net: xfrm: unexport __init-annotated xfrm4_protocol_init()
    https://git.kernel.org/netdev/net/c/4a388f08d878
  - [3/3] net: ipv6: unexport __init-annotated seg6_hmac_init()
    https://git.kernel.org/netdev/net/c/5801f064e351

You are awesome, thank you!
-- 
Deet-doot-dot, I am a bot.
https://korg.docs.kernel.org/patchwork/pwbot.html